Request

Response

    Download relationships in parallel
    GET

    v1/collections/{collectionId}/exchanges/{exchangeId}/relationships:sync-urls

    This API is intended to improve download performance. The response provides URLs for your relationships, so you can download them in parallel using the GET Download relationships endpoint. In addition, the system limits the number of download URLs for efficiency. Adhering to this limit allows clients to effectively scatter and gather data under a single exchange by managing the number of concurrent calls and not breaching the rate limits.

    Valid filters:

    • Exchange snapshot fromRevision & toRevision: The fromRevision is exclusive & toRevision is Inclusive. Keyword latest & latest-1 is also supported instead of revisionId. Supports ==.

      example: exchange.snapshot.fromRevision==YRc2mxEFc1KvVPVmkFQhnX;exchange.snapshot.toRevision==YRc2mxEFc1KvVPVmkFQhnX

      example: exchange.snapshot.fromRevision==latest-1;exchange.snapshot.toRevision==latest

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/exchange/v1/collections/{collectionId}/exchanges/{exchangeId}/relationships:sync-urls
    Authentication Context
    app only
    Required OAuth Scopes
    data:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is obtained via OAuth
    * Required

    Request

    URI Parameters

    collectionId
    string
    The unique ID of the collection
    exchangeId
    string
    The unique ID of the exchange

    Request

    Query String Parameters

    filters
    string
    Filter, RSQL syntax. You can specify multiple filters, separated by semi-colon ;.
    cursor
    string
    The pagination cursor returned by the server to the client. It expires in 10 minutes.
    limit
    int
    Allowed limit of URLs in response. Default is 20 and max is 20.

    Response

    HTTP Status Code Summary

    200
    OK
    The parallel URLs for delta relationship data synced was retrieved successfully.
    400
    Bad Request
    The request is invalid.
    401
    Unauthorized
    Invalid authorization header.
    403
    Forbidden
    Access denied regardless of authorization status.
    404
    Not Found
    The specified resource was not found.
    500
    Internal Server Error
    Unexpected service interruption.

    Response

    Body Structure (200)

    Expand all
    pagination
    object
    The information on the pagination of the response
    limit
    int
    Upper limit to the paginated results
    cursor
    string
    Current cursor (or index) marking where you are in the paginated set
    nextUrl
    string
    Next URL
    results
    array: object
    The paginated results
    url
    string
    The URL for downloading an asset
    root
    string
    The unique ID identifying the root entity within the paginated results

    Example

    The parallel URLs for delta relationship data synced was retrieved successfully.

    Request

    curl -v 'https://developer.api.autodesk.com/exchange/v1/collections/:collectionId/exchanges/:exchangeId/relationships:sync-urls?filters=exchange.snapshot.fromRevision==YRc2mxEFc1KvVPVmkFQhnX;exchange.snapshot.toRevision==YRc2mxEFc1KvVPVmkFQhnX' \
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
    

    Response

    {
      "pagination": {
        "limit": 95,
        "cursor": "46daa630-5f1c-4e46-b004-b512ff3649ac",
        "nextUrl": "/v1/collections/co.l1Lf2-orRbW-3oDLHMvSxg/exchanges/3f351bac-f192-3e8a-9eae-e7f71e55d65f/assets:sync?cursor=46daa630-5f1c-4e46-b004-b512ff3649ac"
      },
      "results": [
        {
          "url": "https://developer.api.autodesk.com/exchange/v1/collections/co.SpdGU41bT1eP-Tu7hLD4jQ/exchanges/ZngudjE.1696d548-b0b2-3244-805e-9d7305730d56/assets:sync-urls?cursor=1_6e756c6c"
        }
      ],
      "root": "1616148972940_19934de8-2b10-30c2-a35f-a072fc1cba73"
    }
    
    Show More